import { IRealTimeOption } from "./types";
declare const _sfc_main: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    option: {
        type: any;
        required: true;
    };
    useEvents: {
        type: ArrayConstructor;
        required: true;
    };
}>, {
    emit: (event: "on-change", ...args: any[]) => void;
    option: import("vue").ComputedRef<IRealTimeOption>;
    realTimer: import("vue").Ref<any, any>;
    realTime: import("vue").Ref<string, string>;
    updateRealTime: (format: string) => void;
    init: () => void;
    Text: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        textStyle: {
            type: any;
            required: true;
        };
        text: {
            type: StringConstructor;
            required: true;
        };
    }>, {
        textOverflow: import("vue").ComputedRef<"" | "text-overflow-ellipsis" | "text-overflow-ellipsis-2">;
        getFontFamily: import("vue").ComputedRef<any>;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        textStyle: {
            type: any;
            required: true;
        };
        text: {
            type: StringConstructor;
            required: true;
        };
    }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "on-change"[], "on-change", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    option: {
        type: any;
        required: true;
    };
    useEvents: {
        type: ArrayConstructor;
        required: true;
    };
}>> & Readonly<{
    "onOn-change"?: (...args: any[]) => any;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _sfc_main;
